mgba-sdl_0.7.0-1_amd64.deb


Advertisement

Description

mgba-sdl - Game Boy Advance emulator (SDL frontend for mGBA)

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename mgba-sdl_0.7.0-1_amd64.deb
Package name mgba-sdl
Package version 0.7.0
Package release 1
Package architecture amd64
Package type deb
Category universe/games
Homepage https://mgba.io/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 23.54 KB
Installed size 104.00 KB
mGBA is a new emulator for running Game Boy Advance games. It aims to be faster
and more accurate than many existing Game Boy Advance emulators, as well as
adding features that other emulators lack.
This package provides the SDL UI console for mGBA.
Game Boy Advance is a registered trademark of Nintendo of America Inc. mGBA is
not affiliated with or endorsed by any of the companies mentioned.

Alternatives

Package Version Architecture Repository
mgba-sdl_0.7.0-1_i386.deb 0.7.0 i386 Ubuntu Universe
mgba-sdl - - -

Requires

Name Value
libc6 >= 2.14
libmgba >= 0.7.0
libopengl0 -
libsdl2-2.0-0 >= 2.0.8
mgba-common = 0.7.0-1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package mgba-sdl_0.7.0-1_amd64.deb
Source Package mgba

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install mgba-sdl deb package:
    # sudo apt-get install mgba-sdl

Files

Path
/usr/games/mgba
/usr/share/doc/mgba-sdl/CHANGES.gz
/usr/share/doc/mgba-sdl/changelog.Debian.gz
/usr/share/doc/mgba-sdl/copyright
/usr/share/man/man6/mgba.6.gz

Changelog

2019-02-03 - Reiner Herrmann <reiner@reiner-h.de>
mgba (0.7.0-1) unstable; urgency=medium
* Team upload.
[ Jeremy Bicha ]
* Import packaging to https://salsa.debian.org/ (Closes: #872484)
* Add .libretro file for integration with GNOME Games. (Closes: #911327)
* Add minimal debian/gbp.conf.
* Use dh-exec instead of manual .sh script for install file.
[ Reiner Herrmann ]
* New upstream release.
* Drop patch applied upstream and refresh other one.
* Update Standards-Version to 4.3.0.
- Declare that debian/rules does not require root.
* Depend on debhelper-compat and bump compat level to 12.
* Add upstream metadata.
* Add libelf-dev as new build dependency.
* Update debian/copyright.
2018-08-02 - Gianfranco Costamagna <locutusofborg@debian.org>
mgba (0.6.3+dfsg1-2) unstable; urgency=medium
* Team upload.
* debian/patches/7f41dd354176b720c8e3310553c6b772278b9dca.patch:
- upstream build fix with new qt 5.11
2018-06-04 - Sérgio Benjamim <sergio_br2@yahoo.com.br>
mgba (0.6.3+dfsg1-1) unstable; urgency=low
* New upstream release (Closes: #876451).
* Removed patches (fixed on upstream).
* Added missing libsqlite3-dev and qttools5-dev-tools dependencies.
* Added AppStream desktop & addon meta-info files.
2018-05-10 - Adrian Bunk <bunk@debian.org>
mgba (0.5.2+dfsg1-3.1) unstable; urgency=low
* Non-maintainer upload.
* Add upstream fix for FTBFS with Qt 5.10,
thanks to Juhani Numminen. (Closes: #895496)
* Fix FTBFS on armel. (Closes: #884392)
* Add patch from James Cowgill to fix FTBFS with FFmpeg 4.0.
(Closes: #888325)
2017-08-17 - Markus Koschany <apo@debian.org>
mgba (0.5.2+dfsg1-3) unstable; urgency=medium
* Team upload.
* Add gcc7.patch and fix FTBFS with GCC 7. (Closes: #853546)
Thanks to Adrian Bunk for the patch.
* Declare compliance with Debian Policy 4.0.1.
* Switch to compat level 10.
* Use https for Format field.
2017-01-04 - Sérgio Benjamim <sergio_br2@yahoo.com.br>
mgba (0.5.2+dfsg1-2) unstable; urgency=low
* Fix GB/GBC saves in the Libretro port.
2016-12-31 - Sérgio Benjamim <sergio_br2@yahoo.com.br>
mgba (0.5.2+dfsg1-1) unstable; urgency=low
* New upstream release.
2016-07-17 - Sérgio Benjamim <sergio_br2@yahoo.com.br>
mgba (0.4.1+dfsg1-1) unstable; urgency=low
* New upstream release.
* Changed package maintainer to Debian Games Team.
* Added a common package for shaders and DAT.
* Fixed hardening-no-bindnow and hardening-no-pie.
* Bump Standards-Version to 3.9.8.
2016-04-10 - Sérgio Benjamim <sergio_br2@yahoo.com.br>
mgba (0.4.0+dfsg1-3) unstable; urgency=low
* Removed debug packages from control (automatic -dbgsym packages).
2016-04-07 - Sérgio Benjamim <sergio_br2@yahoo.com.br>
mgba (0.4.0+dfsg1-2) unstable; urgency=low
* Simplify debug packages long description.
* Add comments to Copyright and use standard Zlib license name.

See Also

Package Description
mgdiff_1.0-30build1_amd64.deb xdiff clone
mgen-doc_5.02.b+dfsg1-2.2_all.deb mgen user and reference guide
mgen_5.02.b+dfsg1-2.2_amd64.deb packet generator for IP network performance tests
mgetty-docs_1.2.1-1_all.deb Documentation Package for mgetty
mgetty-fax_1.2.1-1_amd64.deb Faxing tools for mgetty
mgetty-pvftools_1.2.1-1_amd64.deb Programs for listening and manipulating pvf and rmd files
mgetty-viewfax_1.2.1-1_amd64.deb Program for displaying Group-3 Fax files under X
mgetty-voice_1.2.1-1_amd64.deb Voicemail handler for mgetty
mgetty_1.2.1-1_amd64.deb Smart Modem getty replacement
mgp_1.13a+upstream20090219-11_amd64.deb MagicPoint — an X11-based presentation tool
mgt_2.31-7build1_amd64.deb game record display/editor for the oriental game of go
mh-book_200605-2_all.deb MH & nmh: Email for Users & Programmers online book
mh-e_8.5-2.1_all.deb Emacs interface to the MH mail system
mha4mysql-manager_0.58-1_all.deb Master High Availability Manager and Tools for MySQL, Manager Package
mha4mysql-node_0.58-1_all.deb Master High Availability Manager and Tools for MySQL, Node Package
Advertisement
Advertisement